1.2
1.2
get /v1/policies/{policy_id}/bindings
Description
Get a specific policy binding list
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | policy_id required | Policy ID Example : 37f2e31ff86b415698d7e8eeafab445d | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | identity_id optional | Identity ID Example : f39c460fade34fecb05ede8f904b24b7 | any of [string, null] | None |
| query | identity_type optional | Identity Type Example : GROUP | any of [string, null] | None |
| query | name optional | Name Example : TestGroup | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PolicyBindingPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/policies/{policy_id}/bindings
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.2"
Example HTTP response
Response 200
{
"count": 20,
"groups": [
{
"created_at": "2025-03-26T10:18:04Z",
"created_by": "4a816a3f5099442ebb52daefc1f7be32",
"creator_email": "-",
"creator_name": "-",
"description": "openapi-ga2-test-group",
"domain_name": "scp",
"id": "19fca177a57940daa5817960373c6542",
"modified_at": "2025-03-26T10:18:04Z",
"modified_by": "4a816a3f5099442ebb52daefc1f7be32",
"modifier_email": "-",
"modifier_name": "-",
"name": "openapi-ga2-testgroup5",
"policies": [],
"roles": [],
"srn": "srn:dev2::1d9cc99917ff41bb992276ac0ae9e4c8:::iam:group/19fca177a57940daa5817960373c6542",
"type": "USER_DEFINED"
}
],
"page": 0,
"policy_id": "37f2e31ff86b415698d7e8eeafab445d",
"roles": [
{
"account_id": "d7aba97100564b34a0f4f77c4bc7a303",
"assume_role_policy_document": {
"Statement": [
{
"Action": "*",
"Condition": {
"StringEquals": {
"scp:RequestedRegion": [
"kr-west1"
]
}
},
"Effect": "Allow",
"NotAction": "*",
"Principal": "*",
"Resource": "*",
"Sid": "statement1"
}
],
"Version": "2024-07-01"
},
"created_at": "2024-05-17T00:23:17Z",
"created_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"creator_email": "-",
"creator_name": "-",
"description": "string",
"id": "f39c460fade34fecb05ede8f904b24b7",
"max_session_duration": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "ef50cdc207f05f6fb8f20219f229ed1f",
"modifier_email": "-",
"modifier_name": "-",
"name": "string",
"type": "DEFAULT"
}
],
"size": 20,
"sort": [
"created_at:asc"
],
"users": [
{
"access_control": false,
"account_id": "d7aba97100564b34a0f4f77c4bc7a303",
"account_name": "",
"allowed_ip_addresses": "",
"company_name": "",
"created_at": "2024-11-15T06:57:42.000000Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"domain_name": "scp",
"dst_offset": "+09:00",
"email": "samsung.kim@samsung.com",
"email_authenticate_code": "8ada8861bad2423295e4bb576bee5886",
"email_authenticated": true,
"first_name": "",
"groups": [],
"id": "90dddfc2b1e04edba54ba2b41539a9ac",
"keycloak_id": "127e3d8c-66dc-4b1b-b38b-9a1d0c6d5507",
"keystone_credential": "",
"last_login_at": "2024-11-25T06:57:42.000000Z",
"last_name": "",
"last_password_update_at": "",
"login_id": "",
"modified_at": "2024-11-17T06:57:42.000000Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"nation_id": "+82",
"phone_authenticated": false,
"phone_number": "0000000000",
"policies": [],
"state": "ACTIVE",
"temporary_password": false,
"term_region_id": "1",
"timezone": "Asia/Seoul",
"type": "IAM",
"tz_id": "Asia/Seoul",
"user_name": "Kim Samsung",
"utc_offset": "+09:00"
}
]
}